;|===========================================================================|
;|                               MULTIPLICATION                              |
;| This routine multiplies the bytes A and B. The result is saved into 2     |
;| bytes of ram space.                                                       |
;|===========================================================================|

mul      clr res_msb         ; Clear the most significant byte of the result.
	 clr res_lsb         ; Clear the least significant byte of the result.
	 ld a,number_b       ; If B = 0 the result = 0.
	 jrnz mul1            
end_mul	 ret       
mul1	 ld a,number_a       ; If A = 0 the result = 0.
	 jrz end_mul
	 ld a,number_b
	 add a,res_lsb       ; Number_b + res_lsb.
	 ld res_lsb,a        ; Store the result in the least significant byte.
	 jrnc mul2
	 inc res_msb         ; Increase the most significant byte.
mul2     dec number_a
	 jp mul1
